io.undertow.websockets.core

## Interface WebSocketCallback<T>

    public interface WebSocketCallback<T>

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `complete(WebSocketChannel channel, T context)`
`void` `onError(WebSocketChannel channel, T context, Throwable throwable)`

### Method Detail

#### complete

    void complete(WebSocketChannel channel,
                  T context)

#### onError

    void onError(WebSocketChannel channel,
                 T context,
                 Throwable throwable)